<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContribuinteSindical ArrayType
 * @subpackage Arrays
 */
class ArrayOfContribuinteSindical extends AbstractStructArrayBase
{
    /**
     * The ContribuinteSindical
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContribuinteSindical[]
     */
    public $ContribuinteSindical;
    /**
     * Constructor method for ArrayOfContribuinteSindical
     * @uses ArrayOfContribuinteSindical::setContribuinteSindical()
     * @param \StructType\ContribuinteSindical[] $contribuinteSindical
     */
    public function __construct(array $contribuinteSindical = array())
    {
        $this
            ->setContribuinteSindical($contribuinteSindical);
    }
    /**
     * Get ContribuinteSindical value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContribuinteSindical[]|null
     */
    public function getContribuinteSindical()
    {
        return isset($this->ContribuinteSindical) ? $this->ContribuinteSindical : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContribuinteSindical method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContribuinteSindical method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContribuinteSindicalForArrayConstraintsFromSetContribuinteSindical(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContribuinteSindicalContribuinteSindicalItem) {
            // validation for constraint: itemType
            if (!$arrayOfContribuinteSindicalContribuinteSindicalItem instanceof \StructType\ContribuinteSindical) {
                $invalidValues[] = is_object($arrayOfContribuinteSindicalContribuinteSindicalItem) ? get_class($arrayOfContribuinteSindicalContribuinteSindicalItem) : sprintf('%s(%s)', gettype($arrayOfContribuinteSindicalContribuinteSindicalItem), var_export($arrayOfContribuinteSindicalContribuinteSindicalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContribuinteSindical property can only contain items of type \StructType\ContribuinteSindical, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContribuinteSindical value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ContribuinteSindical[] $contribuinteSindical
     * @return \ArrayType\ArrayOfContribuinteSindical
     */
    public function setContribuinteSindical(array $contribuinteSindical = array())
    {
        // validation for constraint: array
        if ('' !== ($contribuinteSindicalArrayErrorMessage = self::validateContribuinteSindicalForArrayConstraintsFromSetContribuinteSindical($contribuinteSindical))) {
            throw new \InvalidArgumentException($contribuinteSindicalArrayErrorMessage, __LINE__);
        }
        if (is_null($contribuinteSindical) || (is_array($contribuinteSindical) && empty($contribuinteSindical))) {
            unset($this->ContribuinteSindical);
        } else {
            $this->ContribuinteSindical = $contribuinteSindical;
        }
        return $this;
    }
    /**
     * Add item to ContribuinteSindical value
     * @throws \InvalidArgumentException
     * @param \StructType\ContribuinteSindical $item
     * @return \ArrayType\ArrayOfContribuinteSindical
     */
    public function addToContribuinteSindical(\StructType\ContribuinteSindical $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ContribuinteSindical) {
            throw new \InvalidArgumentException(sprintf('The ContribuinteSindical property can only contain items of type \StructType\ContribuinteSindical, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContribuinteSindical[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ContribuinteSindical|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ContribuinteSindical|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ContribuinteSindical|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ContribuinteSindical|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ContribuinteSindical|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContribuinteSindical
     */
    public function getAttributeName()
    {
        return 'ContribuinteSindical';
    }
}
