<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEmailSindicato ArrayType
 * @subpackage Arrays
 */
class ArrayOfEmailSindicato extends AbstractStructArrayBase
{
    /**
     * The EmailSindicato
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EmailSindicato[]
     */
    public $EmailSindicato;
    /**
     * Constructor method for ArrayOfEmailSindicato
     * @uses ArrayOfEmailSindicato::setEmailSindicato()
     * @param \StructType\EmailSindicato[] $emailSindicato
     */
    public function __construct(array $emailSindicato = array())
    {
        $this
            ->setEmailSindicato($emailSindicato);
    }
    /**
     * Get EmailSindicato value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EmailSindicato[]|null
     */
    public function getEmailSindicato()
    {
        return isset($this->EmailSindicato) ? $this->EmailSindicato : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEmailSindicato method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEmailSindicato method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEmailSindicatoForArrayConstraintsFromSetEmailSindicato(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEmailSindicatoEmailSindicatoItem) {
            // validation for constraint: itemType
            if (!$arrayOfEmailSindicatoEmailSindicatoItem instanceof \StructType\EmailSindicato) {
                $invalidValues[] = is_object($arrayOfEmailSindicatoEmailSindicatoItem) ? get_class($arrayOfEmailSindicatoEmailSindicatoItem) : sprintf('%s(%s)', gettype($arrayOfEmailSindicatoEmailSindicatoItem), var_export($arrayOfEmailSindicatoEmailSindicatoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EmailSindicato property can only contain items of type \StructType\EmailSindicato, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EmailSindicato value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EmailSindicato[] $emailSindicato
     * @return \ArrayType\ArrayOfEmailSindicato
     */
    public function setEmailSindicato(array $emailSindicato = array())
    {
        // validation for constraint: array
        if ('' !== ($emailSindicatoArrayErrorMessage = self::validateEmailSindicatoForArrayConstraintsFromSetEmailSindicato($emailSindicato))) {
            throw new \InvalidArgumentException($emailSindicatoArrayErrorMessage, __LINE__);
        }
        if (is_null($emailSindicato) || (is_array($emailSindicato) && empty($emailSindicato))) {
            unset($this->EmailSindicato);
        } else {
            $this->EmailSindicato = $emailSindicato;
        }
        return $this;
    }
    /**
     * Add item to EmailSindicato value
     * @throws \InvalidArgumentException
     * @param \StructType\EmailSindicato $item
     * @return \ArrayType\ArrayOfEmailSindicato
     */
    public function addToEmailSindicato(\StructType\EmailSindicato $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EmailSindicato) {
            throw new \InvalidArgumentException(sprintf('The EmailSindicato property can only contain items of type \StructType\EmailSindicato, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EmailSindicato[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EmailSindicato|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EmailSindicato|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EmailSindicato|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EmailSindicato|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EmailSindicato|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EmailSindicato
     */
    public function getAttributeName()
    {
        return 'EmailSindicato';
    }
}
