<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'findSindicatoByCnpj' => '\\StructType\\FindSindicatoByCnpj',
            'Sistema' => '\\StructType\\Sistema',
            'findSindicatoByCnpjResponse' => '\\StructType\\FindSindicatoByCnpjResponse',
            'Sindicato' => '\\StructType\\Sindicato',
            'PessoaFisica' => '\\StructType\\PessoaFisica',
            'Municipio' => '\\StructType\\Municipio',
            'findCadastroIndustrialByCeiAndFederacaoFromUf' => '\\StructType\\FindCadastroIndustrialByCeiAndFederacaoFromUf',
            'findCadastroIndustrialByCeiAndFederacaoFromUfResponse' => '\\StructType\\FindCadastroIndustrialByCeiAndFederacaoFromUfResponse',
            'CadastroIndustrial' => '\\StructType\\CadastroIndustrial',
            'SituacaoReceita' => '\\StructType\\SituacaoReceita',
            'Periodo' => '\\StructType\\Periodo',
            'OpcaoSimples' => '\\StructType\\OpcaoSimples',
            'SituacaoSintegra' => '\\StructType\\SituacaoSintegra',
            'Cnae' => '\\StructType\\Cnae',
            'findContribuintesSindicaisBySindicatosFromUf' => '\\StructType\\FindContribuintesSindicaisBySindicatosFromUf',
            'findContribuintesSindicaisBySindicatosFromUfResponse' => '\\StructType\\FindContribuintesSindicaisBySindicatosFromUfResponse',
            'ArrayOfContribuinteSindical' => '\\ArrayType\\ArrayOfContribuinteSindical',
            'ContribuinteSindical' => '\\StructType\\ContribuinteSindical',
            'findEmailsSindicatoByUf' => '\\StructType\\FindEmailsSindicatoByUf',
            'findEmailsSindicatoByUfResponse' => '\\StructType\\FindEmailsSindicatoByUfResponse',
            'ArrayOfEmailSindicato' => '\\ArrayType\\ArrayOfEmailSindicato',
            'EmailSindicato' => '\\StructType\\EmailSindicato',
            'findContribuinteByCei' => '\\StructType\\FindContribuinteByCei',
            'findContribuinteByCeiResponse' => '\\StructType\\FindContribuinteByCeiResponse',
            'Estabelecimento' => '\\StructType\\Estabelecimento',
            'findCadastrosIndustriaisByFederacaoFromUf' => '\\StructType\\FindCadastrosIndustriaisByFederacaoFromUf',
            'findCadastrosIndustriaisByFederacaoFromUfResponse' => '\\StructType\\FindCadastrosIndustriaisByFederacaoFromUfResponse',
            'ArrayOfCadastroIndustrial' => '\\ArrayType\\ArrayOfCadastroIndustrial',
            'findFederacaoByUf' => '\\StructType\\FindFederacaoByUf',
            'findFederacaoByUfResponse' => '\\StructType\\FindFederacaoByUfResponse',
            'Federacao' => '\\StructType\\Federacao',
            'findEmailsSindicatoAndSociosByUf' => '\\StructType\\FindEmailsSindicatoAndSociosByUf',
            'findEmailsSindicatoAndSociosByUfResponse' => '\\StructType\\FindEmailsSindicatoAndSociosByUfResponse',
            'findEmailsSindicatoByCodigo' => '\\StructType\\FindEmailsSindicatoByCodigo',
            'findEmailsSindicatoByCodigoResponse' => '\\StructType\\FindEmailsSindicatoByCodigoResponse',
            'findSindicatoByCodigo' => '\\StructType\\FindSindicatoByCodigo',
            'findSindicatoByCodigoResponse' => '\\StructType\\FindSindicatoByCodigoResponse',
            'findEmailsSindicatoAndSociosByCodigo' => '\\StructType\\FindEmailsSindicatoAndSociosByCodigo',
            'findEmailsSindicatoAndSociosByCodigoResponse' => '\\StructType\\FindEmailsSindicatoAndSociosByCodigoResponse',
            'findEstabelecimentoByCei' => '\\StructType\\FindEstabelecimentoByCei',
            'findEstabelecimentoByCeiResponse' => '\\StructType\\FindEstabelecimentoByCeiResponse',
            'findEstabelecimentoByCnpj' => '\\StructType\\FindEstabelecimentoByCnpj',
            'findEstabelecimentoByCnpjResponse' => '\\StructType\\FindEstabelecimentoByCnpjResponse',
            'findContribuintesSindicaisBySindicato' => '\\StructType\\FindContribuintesSindicaisBySindicato',
            'findContribuintesSindicaisBySindicatoResponse' => '\\StructType\\FindContribuintesSindicaisBySindicatoResponse',
            'findContribuinteByCnpj' => '\\StructType\\FindContribuinteByCnpj',
            'findContribuinteByCnpjResponse' => '\\StructType\\FindContribuinteByCnpjResponse',
            'findContribuinteSindicalByCnpjAndSindicato' => '\\StructType\\FindContribuinteSindicalByCnpjAndSindicato',
            'findContribuinteSindicalByCnpjAndSindicatoResponse' => '\\StructType\\FindContribuinteSindicalByCnpjAndSindicatoResponse',
            'findCadastroIndustrialByCnpjAndFederacaoFromUf' => '\\StructType\\FindCadastroIndustrialByCnpjAndFederacaoFromUf',
            'findCadastroIndustrialByCnpjAndFederacaoFromUfResponse' => '\\StructType\\FindCadastroIndustrialByCnpjAndFederacaoFromUfResponse',
            'findSindicatosByUf' => '\\StructType\\FindSindicatosByUf',
            'findSindicatosByUfResponse' => '\\StructType\\FindSindicatosByUfResponse',
            'ArrayOfSindicato' => '\\ArrayType\\ArrayOfSindicato',
        );
    }
}
