<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for findFederacaoByUf StructType
 * @subpackage Structs
 */
class FindFederacaoByUf extends AbstractStructBase
{
    /**
     * The uf
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $uf;
    /**
     * The sistema
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Sistema
     */
    public $sistema;
    /**
     * Constructor method for findFederacaoByUf
     * @uses FindFederacaoByUf::setUf()
     * @uses FindFederacaoByUf::setSistema()
     * @param string $uf
     * @param \StructType\Sistema $sistema
     */
    public function __construct($uf = null, \StructType\Sistema $sistema = null)
    {
        $this
            ->setUf($uf)
            ->setSistema($sistema);
    }
    /**
     * Get uf value
     * @return string|null
     */
    public function getUf()
    {
        return $this->uf;
    }
    /**
     * Set uf value
     * @param string $uf
     * @return \StructType\FindFederacaoByUf
     */
    public function setUf($uf = null)
    {
        // validation for constraint: string
        if (!is_null($uf) && !is_string($uf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uf, true), gettype($uf)), __LINE__);
        }
        $this->uf = $uf;
        return $this;
    }
    /**
     * Get sistema value
     * @return \StructType\Sistema|null
     */
    public function getSistema()
    {
        return $this->sistema;
    }
    /**
     * Set sistema value
     * @param \StructType\Sistema $sistema
     * @return \StructType\FindFederacaoByUf
     */
    public function setSistema(\StructType\Sistema $sistema = null)
    {
        $this->sistema = $sistema;
        return $this;
    }
}
