<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PessoaFisica StructType
 * @subpackage Structs
 */
class PessoaFisica extends AbstractStructBase
{
    /**
     * The cpf
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $cpf;
    /**
     * The nome
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $nome;
    /**
     * The sexo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sexo;
    /**
     * The cargo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $cargo;
    /**
     * The area
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $area;
    /**
     * Constructor method for PessoaFisica
     * @uses PessoaFisica::setCpf()
     * @uses PessoaFisica::setNome()
     * @uses PessoaFisica::setSexo()
     * @uses PessoaFisica::setCargo()
     * @uses PessoaFisica::setArea()
     * @param string $cpf
     * @param string $nome
     * @param string $sexo
     * @param string $cargo
     * @param string $area
     */
    public function __construct($cpf = null, $nome = null, $sexo = null, $cargo = null, $area = null)
    {
        $this
            ->setCpf($cpf)
            ->setNome($nome)
            ->setSexo($sexo)
            ->setCargo($cargo)
            ->setArea($area);
    }
    /**
     * Get cpf value
     * @return string|null
     */
    public function getCpf()
    {
        return $this->cpf;
    }
    /**
     * Set cpf value
     * @param string $cpf
     * @return \StructType\PessoaFisica
     */
    public function setCpf($cpf = null)
    {
        // validation for constraint: string
        if (!is_null($cpf) && !is_string($cpf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cpf, true), gettype($cpf)), __LINE__);
        }
        $this->cpf = $cpf;
        return $this;
    }
    /**
     * Get nome value
     * @return string|null
     */
    public function getNome()
    {
        return $this->nome;
    }
    /**
     * Set nome value
     * @param string $nome
     * @return \StructType\PessoaFisica
     */
    public function setNome($nome = null)
    {
        // validation for constraint: string
        if (!is_null($nome) && !is_string($nome)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nome, true), gettype($nome)), __LINE__);
        }
        $this->nome = $nome;
        return $this;
    }
    /**
     * Get sexo value
     * @return string|null
     */
    public function getSexo()
    {
        return $this->sexo;
    }
    /**
     * Set sexo value
     * @param string $sexo
     * @return \StructType\PessoaFisica
     */
    public function setSexo($sexo = null)
    {
        // validation for constraint: string
        if (!is_null($sexo) && !is_string($sexo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sexo, true), gettype($sexo)), __LINE__);
        }
        $this->sexo = $sexo;
        return $this;
    }
    /**
     * Get cargo value
     * @return string|null
     */
    public function getCargo()
    {
        return $this->cargo;
    }
    /**
     * Set cargo value
     * @param string $cargo
     * @return \StructType\PessoaFisica
     */
    public function setCargo($cargo = null)
    {
        // validation for constraint: string
        if (!is_null($cargo) && !is_string($cargo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cargo, true), gettype($cargo)), __LINE__);
        }
        $this->cargo = $cargo;
        return $this;
    }
    /**
     * Get area value
     * @return string|null
     */
    public function getArea()
    {
        return $this->area;
    }
    /**
     * Set area value
     * @param string $area
     * @return \StructType\PessoaFisica
     */
    public function setArea($area = null)
    {
        // validation for constraint: string
        if (!is_null($area) && !is_string($area)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($area, true), gettype($area)), __LINE__);
        }
        $this->area = $area;
        return $this;
    }
}
